<%- unless session[:site_category].present? -%>
  <% if session[:user_id] -%>
    ( <%= t('views.login_state.userid') %>: <%= current_user.login %> )
    <%= link_to "[#{t('views.login_state.management')}]", :controller => :user_management, :action => :index -%>
    <%= link_to "[#{t('views.login_state.logout')}]", :controller => :sessions, :action => :destroy, :id => nil -%>
  <%- else -%>
<%
    @login_user_exist_flg = 0
    Dir.glob("vendor/engines/*/").each do |path|
    engine = path.split("\/")[2]
      next unless engine.match?(/\A[a-z0-9_]+\z/)
      method_name = :"#{engine}_show_current_user"
      if respond_to?(method_name)
  -%>
        <%= send(method_name) %>
<%
      end
    end
    -%>
  <%- end -%>
<%- end -%>
